# QAuthenticator Class Reference

### [com.trolltech.qt.network package]

### Constructor

- void QAuthenticator()
- void QAuthenticator(QAuthenticator other)

### Constructor Properties

- prototype: The QAuthenticator prototype object

### Prototype Object Properties

- bool isNull()
- bool operator_equal(QAuthenticator other)
- Object option(String opt)
- HashMap options()
- String password()
- String realm()
- void setOption(String opt, Object value)
- void setPassword(String password)
- void setUser(String user)
- String user()

### Instance Properties

QAuthenticator objects have no special properties beyond those inherited from the QAuthenticator prototype object.